import Text from '../valueObject/text';
import Entity from '.';
export declare class TestText extends Text {
    protected get symbol(): symbol;
    protected getValidationMaxLength(): number | undefined;
}
export declare class TestEntity extends Entity {
    readonly text1: Text;
    readonly text2: Text;
    readonly text3?: Text | undefined;
    readonly text4?: Text | undefined;
    /**
     * @deprecated create or reconstruct 経由で生成
     */
    constructor(text1: Text, text2: Text, text3?: Text | undefined, text4?: Text | undefined);
    static create(text1: Text, text2: Text): TestEntity;
    static reconstruct(text1: Text, text2: Text, text3?: Text, text4?: Text): TestEntity;
    update({ text3, text4 }: {
        text3?: Text;
        text4?: Text;
    }): TestEntity;
    equals(other: TestEntity): boolean;
}
