import type { ValidationError } from '.';
import dayjs from 'dayjs';
import ValueObject from '.';
export default abstract class Date extends ValueObject<dayjs.ConfigType, dayjs.Dayjs, string> {
    protected fromInput(): string;
    protected toOutput(): dayjs.Dayjs;
    validate(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
