import type { ValidationError } from '.';
import ValueObject from '.';
export default abstract class Flags<FlagTypes extends string> extends ValueObject<string, FlagTypes> {
    abstract get flagTypes(): FlagTypes[];
    validate(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
