import type { ValidationError } from '.';
import ValueObject from '.';
export default abstract class Float extends ValueObject<number | string, number> {
    protected fromInput(): number;
    protected getMaxNumber(): number | undefined;
    protected getMinNumber(): number | undefined;
    protected isTruncateMode(): boolean;
    validate(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
